#!/usr/bin/env python
# -*- coding: utf-8 -*-

import Tkinter as tk

import libvisioo.oofichier as oofichier

from libvisioo.GLOBALS import sep, TEMP_EXTRACT_DIR, PICS_PATH
from libvisioo.debug import *
from libvisioo.oodefault_borders import *


def convert (style, value):
	"""
	convert OpenOffice param & val -> gtk param & val
	>>> convert("fo:font-weight", "20pt") -> [(size_points,20)]
	"""
#
# 	if style not in SPE and value in DICO_VALUE.keys() and style in DICO_STYLE.keys() :
# 		return [(DICO_STYLE[style], DICO_VALUE[value])]
#
	if style == "fo:font-size":
		return int(oofichier.supr(value,2)[0])
#
	elif style in COLOR_PARAMS:
		if value == "transparent" : return "#FFFFFF"
		else : return value
#
# 	elif style=="style:text-position":
# 		cat, nb_pts=value.split()[0],value.split()[1]
# 		nb_pts=oofichier.supr(nb_pts)[0]/100
# 		scale=[("scale", nb_pts)]
# 		if cat=="super" : return [("rise",5000)]+scale
# 		elif cat=="sub" : return [("rise",-5000)]+scale
# 		elif cat[len(cat)-1]=="%" : return scale
# 		else :
# 			todo("attribut", style, cat, 1)
# 			return []
#
# 	elif style in ("fo:margin-top", "fo:margin-bottom"):
# 		return [(DICO_STYLE[style],int(oofichier.supr(value,2)[0]*100))]
#
# 	elif style=="style:text-underline":
# 		if value : return [(DICO_STYLE[style],DICO_VALUE_UNDERLINE[value])]
# 		else : return []
#
# 	else :
# 		todo("PROP : valeur", value, aff=1)
# 		todo("PROP : style", style, aff=1)
# 		return []
####################### VARIABLES GLOBALES ##########################################
linebrk = "\n"
lineret = "\t"


####################### DICO style ooo -> style tk ##################################

COLOR_PARAMS = (
"fo:color",
"font-color",
"style:text-background-color",
"style:font-name",
"fo:background-color"
)

SPE = (#style posant des problèmes
"style:text-underline"
)

DICO_BORDER = {
"solid":BORDER_SIMPLE,
"double":BORDER_DOUBLE
}

DICO_STYLE = {
# FONT
"fo:text-align":"justification",
"fo:font-size":"size_points",
"fo:font-weight":"weight",
"fo:font-style":"style",
"fo:color":"foreground",
"fo:background-color":"background",
"fo:margin-top":"pixels-above-lines",
"fo:margin-bottom":"pixels-below-lines",

# STYLE
"style:text-underline":"underline",
"style:text-background-color":"background",
"style:text-position":"rise",
"style:font-name":"font",
# "style:text-emphasive":"weight",

}

DICO_VALUE = {
#général
"normal":0,
"none":0,

# justification
# "start":gtk.JUSTIFY_LEFT,
# "justify":gtk.JUSTIFY_FILL, not yet implemented
# "justify":gtk.JUSTIFY_LEFT,

# font style
"bold":700,
# "italic":pango.STYLE_ITALIC,
# "center":gtk.JUSTIFY_CENTER,

#couleur
"transparent":"#FFFFFF"

}

DICO_VALUE_UNDERLINE = {
# underline
"none":0,
"single":1,
"double":2,
"dash":1,
"dot-dash":1,
"long-dash":1,
"bold-long-dash":2,
"bold-dot-dash":2,
"dot-dot-dash":1,
"dotted":3,
"wave":3,
"bold":2,
"bold-dotted":2,
"bold-dash":2,
"bold-long-dash":2,
"bold-dot-dot-dash":2,
"bold-wave":2,
"double-wave":2,
"small-wave":3,
}
#
# DICO_PARAM = {
# "WRAP_NONE":gtk.WRAP_NONE,
# "WRAP_WORD":gtk.WRAP_WORD,
# "WRAP_CHAR":gtk.WRAP_CHAR
#
# }
