#!/usr/bin/env python
# -*- coding: utf-8 -*-

__author__  =  "Guillaume BATY et Clément BATY"
__version__  =  "0.1"
__date__  =  "$Date: 2005/06/18 14:27:38 $"
__copyright__  =  "Copyright (c) 2004 Guillaume BATY et Clément BATY"
__license__  =  "GPL"

""" sera un aiguilleur vers les manipulateur de contenus pour les meta infos"""
""" aura le même rôle que oocontent """

""" les handler de contenus seront stockés dans sxwhandler, odthandler... """


import libvisioo.oofichier as oofichier
import libvisioo.ooloader as ooloader
import libvisioo.ooparser as ooparser



from libvisioo.GLOBALS import TEMP_EXTRACT_DIR, sep

class Meta :
	def __init__ (self, fichier, ui_name):
		self.ui = ooloader.load_ui(ui_name)
		self.EXTRACT_OK = False

		self.fichier = fichier

		self.LIST_OOO_1x = ("sxw", "sxc", "sxi", "sxd")
		self.LIST_OOO_2x = ("odt", "odg")
		self.LIST_OOO = self.LIST_OOO_1x + self.LIST_OOO_2x

		self.ext = oofichier.extension(self.fichier)

		if self.ext in self.LIST_OOO :

			if self.ext in self.LIST_OOO_1x :
				handler = ooloader.load_handler("ooo1")

			elif self.ext in self.LIST_OOO_2x :
				handler = ooloader.load_handler("ooo2")

		else :
			handler = ooloader.load_handler("txt")

		self.meta = handler.Meta(fichier, ui_name)

	def not_empty (self) :
		return self.meta

	def get_meta (self) :
		try : return self.meta.get_meta ()
		except : return self.ui.ZoneTexte()



