#!/usr/bin/env python
# -*- coding: utf-8 -*-

import Tkinter as tk
import time, os, sys
import os.path

import gettext


import libootk
import libvisioo.oofichier as oofichier
import libvisioo.oocontent as oocontent
import libvisioo.oometa as oometa

from libvisioo.GLOBALS import *
from libvisioo.debug import *

if __name__ == '__main__':
	t = time.time()

	fichier = oofichier.import_fichier ()

	fenetre = tk.Tk()
	fenetre.title(fichier)

	content = oocontent.Content(fichier, "tk")
	oometa = oometa.Meta(fichier, "tk")


	text = content.get_content()
	text.size(80,30)
	text.config()

	notes = content.get_notes()
	notes.size(114,10)
	notes.config()

	meta = oometa.get_meta()
	meta.size(30,30)
	meta.config()

	text.grid (row = 0)
	notes.grid (row = 1, columnspan = 2)
	meta.grid (row = 0, column = 1)

	print "\n", time.time()-t
	oofichier.efface_rep_tmp()

	fenetre.mainloop()