#!/usr/bin/env python
# -*- coding: utf-8 -*-

import gtk
import gtk.gdk
import pango

import liboogtk

from random import randint

from libvisioo.oodefault_styles import *
from libvisioo.GLOBALS import sep, TEMP_EXTRACT_DIR, PICS_PATH
from libvisioo.visioo_str import tips

class Bug (gtk.MessageDialog) :
	def __init__ (self, bug) :
		gtk.MessageDialog.__init__(self, None, 0, gtk.MESSAGE_INFO, gtk.BUTTONS_NONE, bug)
		self.show_all()

class ScrollEncodedFile (gtk.ScrolledWindow) :
	def __init__ (self, file, title) :
		gtk.ScrolledWindow.__init__(self)
		self.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)

		self.zonetext = liboogtk.ZoneTexte()
		self.zonetext.texte_oo (title, OOSTYLE_MAIN_TITLE)

		self.zonetext.texte("\n"*2)

		file = open(file, "r")
		for line in file.readlines() :
			self.zonetext.texte_ed(line)
		file.close()

		self.add(self.zonetext)

class RandomTips (Bug) :
	""" Display a random tips from the list"""
	def __init__ (self) :
		Bug.__init__(self, tips[randint(0,len(tips)-1)])

	def close (self):
		self.destroy()


