#!/usr/bin/python
# -*- coding: utf-8 -*-

__author__ = "Guillaume BATY et Clément BATY"
__version__ = "0.5"
__copyright__ = "Copyright (c) 2004 Guillaume et Clément BATY"
__license__ = "GPL"
__description__="Classes graphiques"

NAME=name="tk" #utilisé pour identifier l'UI

"""
CLASSE LIBOOGTK
Importe toutes les classes de liboogtk
utilisation :
import liboogtk
liboogtk.classe

Description des différent fichiers :
	- zonetexte
		class Zonetexte (gtk.TextView)
		Textview évoluée et simplifiée ajoutant des methodes pour
			écrire du texte avec des éléments de style gtk
			écrire du texte avec un style OOStyle
			écrire du texte "encodé" ex : \\b pour gras
			écrire du texte brut
			insérer n'importe quel objet gtk dans la textview
			insérer n'importe quelle image
			ajouter des puces et configurer la zone

	- table
		affichage de tableaux étape par étape ou à partir d'une instance OOStyle

	- dicos
		dicos visioo / openoffice -> gtk
		fonction de conversion des paramètres OpenOffice vers gtk


	- window
		fenetre simplifiée pour afficher les bug
		liboogtk.Bug("Le bug")
		[affiche une fenetre popup avec "Le bug"]



"""

from tk_zonetexte import *
from tk_table import *
from tk_dicos import *
from tk_window import *
